<?php
/**
* Polish Language File developed by mybboard.pl for Email about new members 2.0.0
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0
**/

// Deny direct access
if(!defined('IN_MYBB')) die("This is a plugin. Direct initialization of this file is not allowed.<br />
								Dies ist ein Plugin. Ein Direktaufruf ist nicht erlaubt.");

// Provide the possibility to add an additional message for the install/uninstall, activate/deactivate notice
$plugins->add_hook("admin_config_plugins_activate_commit", "plugin_notice");
$plugins->add_hook("admin_config_plugins_deactivate_commit", "plugin_notice");
if(!function_exists("plugin_notice"))
{
	function plugin_notice()
	{
		global $message, $plugin_notice;
		$message .= $plugin_notice;
	}
}

// Declare the hooks where a plugin action should be done
$plugins->add_hook("member_do_register_end", "email_admin_new_member");

// Provide the plugin information
/*
 * Email-Benachrichtigung bei Registrierung 2.0.0
 * (c) 2005-2006 by MyBBoard.de
 * Website: http://www.mybboard.de
 */
function email_admin_new_member_info()
{
	return array(
		"name"			=> "Email about new members",
		"description"	=> "Wysyła wiadomość do administratora po rejestracji nowego użytkownika",
		"website"		=> "http://www.mybboard.de",
		"author"		=> "MyBBoard.de",
		"authorsite"	=> "http://www.mybboard.de",
		"version"		=> "2.0.0",
		'guid'        => '607b9c2229c876d962a7dd3bab3a4f96',
		'compatibility' => '14*',
	);
}

// Activate
function email_admin_new_member_activate()
{
	global $db;
	$email_admin_new_member_group = array(
		"gid" => "NULL",
		"name" => "emailonreg",
		"title" => "Powiadomienia o rejestracjach",
		"description" => "",
		"disporder" => "50",
		"isdefault" => "no",
		);
	$db->insert_query("settinggroups", $email_admin_new_member_group);
	$gid = $db->insert_id();
	
	$email_admin_new_member_group_setting_1 = array(
		"sid" => "NULL",
		"name" => "emailonreg_onoff",
		"title" => "Powiadomienia",
		"description" => "Czy po rejestracji nowego użytkownika ma być wysyłana wiadomość?",
		"optionscode" => "yesno",
		"value" => "0",
		"disporder" => "1",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $email_admin_new_member_group_setting_1);	
	$email_admin_new_member_group_setting_2 = array(
		"sid" => "NULL",
		"name" => "emailonreg_email",
		"title" => "Adres email",
		"description" => "Podaj adres email, na który będą wysyłane powiadomienia o rejestracjach.<br /><small>Jeśli chcesz wysyłać emaile do więcej niż jednej osoby, kolejne adresy oddzielaj przecinkami.</small>",
		"optionscode" => "text",
		"value" => "email@domena.com",
		"disporder" => "2",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $email_admin_new_member_group_setting_2);
	rebuild_settings();
}

// Deactivate
function email_admin_new_member_deactivate()
{
    global $db;	
	$db->delete_query("settinggroups","name='emailonreg'");
	$db->delete_query("settings","name IN('emailonreg_onoff','emailonreg_email')");
	rebuild_settings();
}

// Plugin functions
function email_admin_new_member()
{
    global $mybb, $db, $user_info;
	
	if ($mybb->settings['emailonreg_onoff'] != "0")
	{
		$query = $db->simple_select("users", "username, email, regip", "uid=".intval($user_info['uid'])."");
		$emaildata = $db->fetch_array($query);	
		my_mail(
			$mybb->settings['emailonreg_email'],
			"Rejestracja nowego użytkownika na forum \"".$mybb->settings['bbname']."\"",
			"Na forum \"".$mybb->settings['bbname']."\" zarejestrował się nowy użytkownik.\n
				\n
				Informacje o użytkowniku:\n
				Identyfikator (ID): ".$user_info['uid']."\n
				Login: ".$emaildata['username']."\n
				Adres email: ".$emaildata['email']."\n
				Adres IP: ".$emaildata['regip']
		);
	}
}
?>